Skip to content

List configuration rules

GET
/api/zones/{zoneId}/configuration-rules

Returns all configuration rules defined for the zone. Each rule pairs a condition group with a set of setting overrides that are applied to requests that match. Rules are evaluated in ascending order.

Authorizations

ApiToken

Long-lived API token created via POST /api/api-tokens (returned once in plaintext).

Type
API Key (header: X-API-TOKEN)
or
JWT

JWT access token obtained via POST /api/auth/login. Send as: Authorization: Bearer .

Type
HTTP (bearer)

Parameters

Path Parameters

zoneId*

Zone identifier

Type
string
Required

Query Parameters

page

The collection page number

Type
integer
Default
1
itemsPerPage

The number of items per page

Type
integer
Default
30
Minimum
0
Maximum
100
name

Filter rules by name using a partial, case-insensitive "contains" match.

Type
string
name[]

Filter rules by name using a partial, case-insensitive "contains" match.

Type
array

Responses

configuration-rule collection

JSON
{
  
"totalItems": 0,
  
"search": {
  
  
"@type": "string",
  
  
"template": "string",
  
  
"variableRepresentation": "string",
  
  
"mapping": [
  
  
  
{
  
  
  
  
"@type": "string",
  
  
  
  
"variable": "string",
  
  
  
  
"property": "string",
  
  
  
  
"required": true
  
  
  
}
  
  
]
  
},
  
"view": {
  
  
"@id": "string",
  
  
"@type": "string",
  
  
"first": "string",
  
  
"last": "string",
  
  
"previous": "string",
  
  
"next": "string"
  
},
  
"member": [
  
  
{
  
  
  
"@context": "string",
  
  
  
"@id": "string",
  
  
  
"@type": "string",
  
  
  
"id": "0197c4e3-6f2a-7b3c-9d1e-2f4a6b8c0d1e",
  
  
  
"zone": "https://example.com/",
  
  
  
"name": "Cache API responses",
  
  
  
"description": "Enable dynamic caching for requests under /api/.",
  
  
  
"conditions": {
  
  
  
  
"logic": "string",
  
  
  
  
"conditions": [
  
  
  
  
  
{
  
  
  
  
  
  
"field": "string",
  
  
  
  
  
  
"operator": "string",
  
  
  
  
  
  
"target": "X-Custom-Header",
  
  
  
  
  
  
"value": "string"
  
  
  
  
  
}
  
  
  
  
]
  
  
  
},
  
  
  
"order": 0,
  
  
  
"enabled": true,
  
  
  
"stopOnMatch": false,
  
  
  
"createdAt": "2026-01-15T10:30:00+00:00",
  
  
  
"updatedAt": "2026-01-15T10:30:00+00:00",
  
  
  
"settingsOverrides": {
  
  
  
  
"cachingDynamicEnabled": true,
  
  
  
  
"cachingRespectCacheControl": true,
  
  
  
  
"cachingDynamicCacheKey": {
  
  
  
  
  
"uri": true,
  
  
  
  
  
"varyByHostname": true,
  
  
  
  
  
"varyByCookie": [
  
  
  
  
  
  
"string"
  
  
  
  
  
]
  
  
  
  
},
  
  
  
  
"cachingStaticEnabled": true,
  
  
  
  
"cachingStaticCacheKey": {
  
  
  
  
  
"uri": true,
  
  
  
  
  
"varyByHostname": true,
  
  
  
  
  
"varyByQueryString": [
  
  
  
  
  
  
"string"
  
  
  
  
  
]
  
  
  
  
},
  
  
  
  
"cachingDefaultTtl": 0,
  
  
  
  
"cachingIgnoredUrlParams": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"cachingIgnoredCacheTags": [
  
  
  
  
  
"string"
  
  
  
  
],
  
  
  
  
"cachingCustomCacheTagHeaders": [
  
  
  
  
  
{
  
  
  
  
  
  
"header": "string",
  
  
  
  
  
  
"delimiter": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"headersRequestSet": [
  
  
  
  
  
{
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"value": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"headersResponseSet": [
  
  
  
  
  
{
  
  
  
  
  
  
"name": "string",
  
  
  
  
  
  
"value": "string"
  
  
  
  
  
}
  
  
  
  
],
  
  
  
  
"debugHeadersEnabled": true,
  
  
  
  
"processingSsi": true,
  
  
  
  
"processingEsi": true,
  
  
  
  
"customPagesMaintenanceActive": true,
  
  
  
  
"securityEnabled": true,
  
  
  
  
"enabled": true,
  
  
  
  
"imageOptimizationEnabled": true,
  
  
  
  
"imageOptimizationWebpEnabled": true,
  
  
  
  
"imageOptimizationAvifEnabled": true,
  
  
  
  
"imageOptimizationAvifQuality": 0,
  
  
  
  
"imageOptimizationWebpQuality": 0,
  
  
  
  
"imageOptimizationJpegQualityTarget": 0,
  
  
  
  
"imageOptimizationJpegEnabled": true,
  
  
  
  
"imageOptimizationJpegQualityMin": 0,
  
  
  
  
"imageOptimizationJpegQualityMax": 0,
  
  
  
  
"imageOptimizationPngEnabled": true,
  
  
  
  
"imageOptimizationPngQualityMin": 0,
  
  
  
  
"imageOptimizationPngQualityMax": 0,
  
  
  
  
"minifyHtml": true,
  
  
  
  
"basicAuth": {
  
  
  
  
  
"enabled": true,
  
  
  
  
  
"allowedUserIds": [
  
  
  
  
  
  
"string"
  
  
  
  
  
]
  
  
  
  
},
  
  
  
  
"defaultBackend": {
  
  
  
  
  
"type": "string",
  
  
  
  
  
"id": "string"
  
  
  
  
},
  
  
  
  
"backendPortOverride": 0
  
  
  
}
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI